Show / Hide Table of Contents

# Class OpenIddictValidationEvents.ExtractCryptographyResponseContext

Represents an event called for each cryptography response to extract the response parameters from the server response.

##### Inheritance

System.Object
OpenIddictValidationEvents.BaseContext
OpenIddictValidationEvents.BaseRequestContext
OpenIddictValidationEvents.BaseValidatingContext
OpenIddictValidationEvents.BaseExternalContext
OpenIddictValidationEvents.ExtractCryptographyResponseContext

##### Inherited Members

OpenIddictValidationEvents.BaseExternalContext.Address
OpenIddictValidationEvents.BaseValidatingContext.IsRejected
OpenIddictValidationEvents.BaseValidatingContext.Error
OpenIddictValidationEvents.BaseValidatingContext.ErrorDescription
OpenIddictValidationEvents.BaseValidatingContext.ErrorUri
OpenIddictValidationEvents.BaseValidatingContext.Reject(String, String, String)
OpenIddictValidationEvents.BaseRequestContext.IsRequestHandled
OpenIddictValidationEvents.BaseRequestContext.IsRequestSkipped
OpenIddictValidationEvents.BaseRequestContext.HandleRequest()
OpenIddictValidationEvents.BaseRequestContext.SkipRequest()
OpenIddictValidationEvents.BaseContext.Transaction
OpenIddictValidationEvents.BaseContext.EndpointType
OpenIddictValidationEvents.BaseContext.Issuer
OpenIddictValidationEvents.BaseContext.Logger
OpenIddictValidationEvents.BaseContext.Options
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Validation

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class ExtractCryptographyResponseContext : OpenIddictValidationEvents.BaseExternalContext

### Constructors

#### ExtractCryptographyResponseContext(OpenIddictValidationTransaction)

Creates a new instance of the OpenIddictValidationEvents.ExtractCryptographyResponseContext class.

##### Declaration

    public ExtractCryptographyResponseContext(OpenIddictValidationTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictValidationTransaction | transaction |

### Properties

#### Request

Gets or sets the request.

##### Declaration

    public OpenIddictRequest Request { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictRequest |

#### Response

Gets or sets the response, or `null` if it wasn't extracted yet.

##### Declaration

    public OpenIddictResponse? Response { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<OpenIddictResponse> |